org.apache.lucene.codecs.uniformsplit.sharedterms

## Class STUniformSplitRot13PostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.uniformsplit.UniformSplitRot13PostingsFormat
    - - org.apache.lucene.codecs.uniformsplit.sharedterms.STUniformSplitRot13PostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class STUniformSplitRot13PostingsFormat
    extends UniformSplitRot13PostingsFormat

`STUniformSplitPostingsFormat` with block encoding using ROT13 cypher.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.uniformsplit.UniformSplitRot13PostingsFormat

`blocksEncoded, decoderCalled, dictionaryEncoded, dictionaryOnHeap, encoderCalled, fieldsMetadataEncoded`

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`STUniformSplitRot13PostingsFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected FieldsConsumer` `createFieldsConsumer(SegmentWriteState segmentWriteState, PostingsWriterBase postingsWriter)`
`protected FieldsProducer` `createFieldsProducer(SegmentReadState segmentReadState, PostingsReaderBase postingsReader)`

### Methods inherited from class org.apache.lucene.codecs.uniformsplit.UniformSplitRot13PostingsFormat

`fieldsConsumer, fieldsProducer, getBlockDecoder, getBlockEncoder, recordBlockEncodingCall, recordDictionaryEncodingCall, recordFieldsMetadataEncodingCall, resetEncodingFlags`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### STUniformSplitRot13PostingsFormat

    public STUniformSplitRot13PostingsFormat()

### Method Detail

#### createFieldsConsumer

    protected FieldsConsumer createFieldsConsumer(SegmentWriteState segmentWriteState,
                                                  PostingsWriterBase postingsWriter)
                                           throws IOException

Overrides:
  `createFieldsConsumer` in class `UniformSplitRot13PostingsFormat`
Throws:
  `IOException`

#### createFieldsProducer

    protected FieldsProducer createFieldsProducer(SegmentReadState segmentReadState,
                                                  PostingsReaderBase postingsReader)
                                           throws IOException

Overrides:
  `createFieldsProducer` in class `UniformSplitRot13PostingsFormat`
Throws:
  `IOException`